Name: quickemu
Version: 4.9.2
Release: 1
Summary: Quickly create and run optimised Windows, macOS and Linux desktop virtual machines

Group: Applications/Emulators
License: MIT
URL: https://github.com/quickemu-project/quickemu
Source0: https://github.com/quickemu-project/quickemu/archive/refs/tags/%{version}.tar.gz

BuildRequires: qemu systemd-container bash coreutils edk2-tools grep jq redhat-lsb procps python3 genisoimage usbutils util-linux sed spice-gtk-tools swtpm wget xdg-user-dirs unzip edk2-tools spice-gtk-tools xrandr

%description
Quickly create and run optimised Windows, macOS and Linux desktop virtual machines.

%global debug_package %{nil}

%prep
%setup -q

%build

%install
install -Dm644 LICENSE %{buildroot}/%{_licensedir}/%{name}/LICENSE
install -Dm755 quickemu %{buildroot}/%{_bindir}/quickemu
install -Dm755 macrecovery %{buildroot}/%{_bindir}/macrecovery
install -Dm755 quickget %{buildroot}/%{_bindir}/quickget

install -Dm644 docs/quickget.1 %{buildroot}/%{_mandir}/man1/quickget.1
install -Dm644 docs/quickemu.1 %{buildroot}/%{_mandir}/man1/quickemu.1
install -Dm644 docs/quickemu_conf.1 %{buildroot}/%{_mandir}/man1/quickemu_conf.1

%files
%{_bindir}/quickemu
%{_bindir}/macrecovery
%{_bindir}/quickget
%{_licensedir}/%{name}/LICENSE
%{_mandir}/man1/

%changelog
* 2023-10-5 github-actions - 4.9.2-1
- Add Fedora 39 by @Jai-JAP in #822
- chore: Regenerated docs for 4.9.1 changes by @philclifford in #841
- fix: make revised batocera actually find the latest file by @philclifford in #842
- bugfix: quickget: void not working by @zen0bit in #844
- Added automatic version fetching for ubuntu by @Jai-JAP in #821
- Fix -s/-t flags still downloading isos by @Jai-JAP in #846
- add qqX to the main quickemu readme (hopefully) by @TuxVinyards in #850
- Redo of quickemu indentation - no code changes. by @dabrown645 in #849
- List ubuntu-server releases and hide eol releases by @philclifford in #858
- Add EasyOS by @zen0bit in #859
- chore: docs regenerated to include qqX addition by @philclifford in #856
- Fix quickget creating empty directories while using show-iso-url or test-iso-url parameters by @lj3954 in #854
- feat: add NixOS 23.11 by @flexiondotorg in #866
